## open-axiom 1.4.1%2Bsvn~2626

=== debian/changelog ===
open-axiom (1.4.1+svn~2626-2ubuntu2) quantal; urgency=low

  * Include the diff for the regenerated configure file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Oct 2012 19:37:39 +0200

open-axiom (1.4.1+svn~2626-2ubuntu1) quantal; urgency=low

  * Don't blindly use -m32/-m64. Closes: #687608.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Oct 2012 16:49:10 +0200

open-axiom (1.4.1+svn~2626-2) unstable; urgency=low

  * Added libgmp-dev build-dep for GCL

 -- Igor Pashev <pashev.igor@gmail.com>  Wed, 16 May 2012 15:22:53 +0400

open-axiom (1.4.1+svn~2626-1) unstable; urgency=low

  * New upstream version
  * Include directory 'contrib' in sources
  * Removed patch for system xpm.h (fixed in upstream)
  * Use SBCL where available (currently i386, amd64, kfreebsd-amd64)
    and GCL otherwheres (Closes: #648877)
  * Bump standards version 3.9.2 → 3.9.3, no changes
  * Rewrote debian/rules (too many overrides)
  * Removed Encoding key from desktop file

 -- Igor Pashev <pashev.igor@gmail.com>  Thu, 10 May 2012 16:23:17 +0400

open-axiom (1.4.1+svn~2299+ds-1) unstable; urgency=low

  * Initial release. Closes: #639185

 -- Igor Pashev <pashev.igor@gmail.com>  Sat, 03 Sep 2011 03:19:50 +0400

=== debian/rules ===
#!/usr/bin/make -f

# make clean does not clean properly, so building out of source
BUILD = $(CURDIR)/build-tree

LDFLAGS = -Wl,--as-needed

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

# List of archs currently having SBCL
# Keep build-deb on sbcl in one line: sbcl (...) [...],
HAVE_SBCL := $(shell grep sbcl debian/control | sed -r 's,.*\[(.+)\].*,\1,')

ifneq ($(filter $(DEB_HOST_ARCH), $(HAVE_SBCL)),)
LISP := sbcl
else
LISP := gcl
endif


PACKAGE = open-axiom
SVN_REPO = https://open-axiom.svn.sf.net/svnroot/open-axiom/trunk
SRC_VERSION  := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/svn~//' )
TARBALL       = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) $(SVN_REPO) \
	get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	GZIP='--best --no-name' \
		 tar czf $(TARBALL) -C get-orig-source \
		 $(PACKAGE)-$(SRC_VERSION).orig
	@rm -rf get-orig-source
	@echo "  "$(TARBALL)" created; move it to the right destination to build the package"

debian/open-axiom.1: build-stamp
	help2man --no-info \
		--version-string='$(SRC_VERSION)' \
		-m 'The open scientific computation platform' \
		-n 'open source platform for symbolic, algebraic, and numerical computations' \
		$(BUILD)/src/driver/open-axiom > $@

# --disable-gcl is for included GCL:
configure-stamp:
	dh_testdir
	dh_auto_configure -B $(BUILD) -- \
		--with-lisp=$(LISP) \
		--with-x \
		--disable-gcl \
		LDFLAGS="$(LDFLAGS)"
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	cd $(BUILD) && $(MAKE)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd $(BUILD) && $(MAKE) check
endif
	touch $@

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_auto_install -B $(BUILD)
	touch $@

binary: binary-arch binary-indep
binary-indep: install
binary-arch: install debian/open-axiom.1
ifeq ($(LISP), sbcl)
	dh_install -p open-axiom  usr/lib/open-axiom/lib/libopen-axiom-core.so
	dh_install -p open-axiom  usr/lib/open-axiom/algebra/*.fasl
	# Remove shebangs and "compiled from ..." lines.
	# This makes lintian happy and prevents disclosure
	# of paths on build machine. E. g.:
	## !$(BUILD)/src/interp/interpsys --script
	## FASL
	#   compiled from "$(BUILD)/src/algebra/IDECOMP.NRLIB/code.lsp"
	#   using SBCL version 1.0.50.0.debian
	find debian/open-axiom -type f -name \*.fasl -exec \
		sed -i '/^#!/ d; /compiled/ d' {} \;
else
	dh_install -p open-axiom  usr/lib/open-axiom/algebra/*.o
endif
	dh_install
	dh_installman
	dh_installdocs -p open-axiom-graphics --link-doc=open-axiom
	dh_installdocs -p open-axiom-test     --link-doc=open-axiom
	dh_installdocs -p open-axiom-hypertex --link-doc=open-axiom
	dh_installdocs --remaining-packages
	dh_installexamples
	dh_installchangelogs
	dh_installmenu
	dh_link

# AXIOMsys seems already stripped, and dh_strip breaks it:
	dh_strip -X AXIOMsys

	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

clean:
	dh_testdir
	dh_testroot
	rm -rf $(BUILD)
	rm -f install-stamp build-stamp configure-stamp
	dh_clean

## open-axiom 1.4.1+svn~2626

=== contrib/texmacs/Makefile ===

###############################################################################
# MODULE     : Make file for opeenaxiom plugin
# BY         : Joris van der Hoeven
# COPYRIGHT  : This software falls under the GNU general public license;
#              see the file 'LICENSE', which is provided with this package.
###############################################################################

CC = gcc
RM = rm -f

all: bin/tm_openaxiom

bin/tm_openaxiom: src/tm_openaxiom.c
	$(CC) src/tm_openaxiom.c src/texbreaker.c -o bin/tm_openaxiom

clean:
	$(RM) bin/tm_openaxiom

## open-axiom 1.4.1+svn~2299+ds

=== debian/changelog ===
open-axiom (1.4.1+svn~2299+ds-1ubuntu1) precise; urgency=low

  * debian/control:
    - Only attempt to build open-axiom binaries on platforms that sbcl is
      available for.  Fixes FTBFS on armel and powerpc by not building there.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 15 Nov 2011 14:46:17 -0500

=== debian/control ===
Source: open-axiom
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Igor Pashev <pashev.igor@gmail.com>
Build-Depends:
 debhelper ( >= 8 ),
 sbcl ( >= 1.0.30 ),
 libxpm-dev,
 libxt-dev,
 help2man,
Standards-Version: 3.9.2

Package: open-axiom
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${shlibs:Depends}, ${misc:Depends},
 open-axiom-databases (= ${source:Version}),
Recommends: open-axiom-source, open-axiom-graphics, open-axiom-hypertex
Suggests: texmacs, open-axiom-tex, open-axiom-test
Description: open scientific computation platform
 OpenAxiom is an open source platform for symbolic, algebraic, and numerical
 computations. It offers an interactive environment, an expressive programming
 language, a compiler, a large set of mathematical libraries of interest to
 researchers and practitioners of computational sciences.
 .
 OpenAxiom is a descendent of the AXIOM computer algebra system as described by
 Richard Jenks and Robert Sutor in "AXIOM: The Scientific Computation System".
 That book is the base reference document for OpenAxiom.
 .
 This package contains the main program binary and all precompiled
 algebra and autoloadable modules.

Package: open-axiom-source
Architecture: all
Depends: ${misc:Depends}
Description: open scientific computation platform: source files
 OpenAxiom is an open source platform for symbolic, algebraic, and numerical
 computations. It offers an interactive environment, an expressive programming
 language, a compiler, a large set of mathematical libraries of interest to
 researchers and practitioners of computational sciences.
 .
 OpenAxiom is a descendent of the AXIOM computer algebra system as described by
 Richard Jenks and Robert Sutor in "AXIOM: The Scientific Computation System".
 That book is the base reference document for OpenAxiom.
 .
 This package contains source files in OpenAxiom's native spad language
 for the compiled algebra modules supplied in the open-axiom package.

Package: open-axiom-test
Architecture: all
Depends: open-axiom (>= ${source:Version}), ${misc:Depends}
Description: open scientific computation platform: regression test inputs
 OpenAxiom is an open source platform for symbolic, algebraic, and numerical
 computations. It offers an interactive environment, an expressive programming
 language, a compiler, a large set of mathematical libraries of interest to
 researchers and practitioners of computational sciences.
 .
 OpenAxiom is a descendent of the AXIOM computer algebra system as described by
 Richard Jenks and Robert Sutor in "AXIOM: The Scientific Computation System".
 That book is the base reference document for OpenAxiom.
 .
 This package contains input files for OpenAxiom's regression test suite.

Package: open-axiom-databases
Architecture: all
Depends: ${misc:Depends}
Description: open scientific computation platform: generated text databases
 OpenAxiom is an open source platform for symbolic, algebraic, and numerical
 computations. It offers an interactive environment, an expressive programming
 language, a compiler, a large set of mathematical libraries of interest to
 researchers and practitioners of computational sciences.
 .
 OpenAxiom is a descendent of the AXIOM computer algebra system as described by
 Richard Jenks and Robert Sutor in "AXIOM: The Scientific Computation System".
 That book is the base reference document for OpenAxiom.
 .
 This package contains the text databases generated during the build
 process used in computing the hierarchical domain structure, among
 other uses.

Package: open-axiom-tex
Architecture: all
Depends: texlive-latex-recommended, ${misc:Depends}
Description: open scientific computation platform: style file for TeX
 OpenAxiom is an open source platform for symbolic, algebraic, and numerical
 computations. It offers an interactive environment, an expressive programming
 language, a compiler, a large set of mathematical libraries of interest to
 researchers and practitioners of computational sciences.
 .
 OpenAxiom is a descendent of the AXIOM computer algebra system as described by
 Richard Jenks and Robert Sutor in "AXIOM: The Scientific Computation System".
 That book is the base reference document for OpenAxiom.
 .
 This package contains a TeX style file useful in publishing results
 obtained with OpenAxiom.

Package: open-axiom-graphics
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${shlibs:Depends}, ${misc:Depends},
 open-axiom (= ${binary:Version}),
 open-axiom-graphics-data (= ${source:Version}),
Description: open scientific computation platform: graphics subsystem
 OpenAxiom is an open source platform for symbolic, algebraic, and numerical
 computations. It offers an interactive environment, an expressive programming
 language, a compiler, a large set of mathematical libraries of interest to
 researchers and practitioners of computational sciences.
 .
 OpenAxiom is a descendent of the AXIOM computer algebra system as described by
 Richard Jenks and Robert Sutor in "AXIOM: The Scientific Computation System".
 That book is the base reference document for OpenAxiom.
 .
 This package contains the binaries for the graphics subsystem.
 The programs in this package allow open-axiom to draw plots to separate
 windows in X as well as to output files in postscript format.

Package: open-axiom-graphics-data
Architecture: all
Depends: ${misc:Depends}
Description: open scientific computation platform: graphics subsystem
 OpenAxiom is an open source platform for symbolic, algebraic, and numerical
 computations. It offers an interactive environment, an expressive programming
 language, a compiler, a large set of mathematical libraries of interest to
 researchers and practitioners of computational sciences.
 .
 OpenAxiom is a descendent of the AXIOM computer algebra system as described by
 Richard Jenks and Robert Sutor in "AXIOM: The Scientific Computation System".
 That book is the base reference document for OpenAxiom.
 .
 This package contains required data files for the OpenAxiom graphics
 subsystem.

Package: open-axiom-hypertex
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${shlibs:Depends}, ${misc:Depends},
 open-axiom (= ${binary:Version}),
 open-axiom-hypertex-data (= ${source:Version}),
Description: open scientific computation platform: hypertex subsystem
 OpenAxiom is an open source platform for symbolic, algebraic, and numerical
 computations. It offers an interactive environment, an expressive programming
 language, a compiler, a large set of mathematical libraries of interest to
 researchers and practitioners of computational sciences.
 .
 OpenAxiom is a descendent of the AXIOM computer algebra system as described by
 Richard Jenks and Robert Sutor in "AXIOM: The Scientific Computation System".
 That book is the base reference document for OpenAxiom.
 .
 This package contains the binaries for the hypertex subsystem.
 The programs in this package provide an interactive online help
 system describing the many open-axiom commands.

Package: open-axiom-hypertex-data
Architecture: all
Depends: ${misc:Depends}
Description: open scientific computation platform: hypertex subsystem
 OpenAxiom is an open source platform for symbolic, algebraic, and numerical
 computations. It offers an interactive environment, an expressive programming
 language, a compiler, a large set of mathematical libraries of interest to
 researchers and practitioners of computational sciences.
 .
 OpenAxiom is a descendent of the AXIOM computer algebra system as described by
 Richard Jenks and Robert Sutor in "AXIOM: The Scientific Computation System".
 That book is the base reference document for OpenAxiom.
 .
 This package contains required data files for the OpenAxiom hypertex
 subsystem.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = open-axiom
SVN_REPO = https://open-axiom.svn.sf.net/svnroot/open-axiom/trunk
SRC_VERSION  := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/svn~//' )
TARBALL       = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz
.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) $(SVN_REPO) \
	get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	GZIP='--best --no-name' \
		 tar czf $(TARBALL) -C get-orig-source \
		 --exclude contrib \
		 --exclude src/include/xpm.h \
		 $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
	echo "  "$(TARBALL)" created; move it to the right destination to build the package"

debian/open-axiom.1:
	help2man --no-info \
		--version-string='$(SRC_VERSION)' \
		-m 'The open scientific computation platform' \
		-n 'open source platform for symbolic, algebraic, and numerical computations' \
		$(BUILD)/src/driver/open-axiom > $@

# make clean does not clean properly
# so building out of source
BUILD = $(CURDIR)/build-tree

LDFLAGS = -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -B $(BUILD) -- \
		--with-lisp=sbcl \
		--with-x \
		LDFLAGS="$(LDFLAGS)"

# Remove shebangs and "compiled from ..." lines.
# This makes lintian happy and prevents disclosure
# of paths on build machine. E. g.:
## !$(BUILD)/src/interp/interpsys --script
## FASL
#   compiled from "$(BUILD)/src/algebra/IDECOMP.NRLIB/code.lsp"
#   using SBCL version 1.0.50.0.debian
#
override_dh_auto_install:
	dh_auto_install
	find debian/tmp -type f -name \*.fasl -exec \
		sed -i '/^#!/ d; /compiled/ d' {} \;

override_dh_auto_clean:
	rm -rf $(BUILD)

override_dh_install:
	dh_install --list-missing

override_dh_installman: debian/open-axiom.1
	dh_installman

# AXIOMsys seems already stripped,
# and dh_strip breaks it
override_dh_strip:
	dh_strip -X AXIOMsys

override_dh_installdocs:
	dh_installdocs -p open-axiom-graphics --link-doc=open-axiom
	dh_installdocs -p open-axiom-test     --link-doc=open-axiom
	dh_installdocs -p open-axiom-hypertex --link-doc=open-axiom
	dh_installdocs --remaining-packages

clean build install binary binary-arch binary-indep:
	dh $@ --builddir=$(BUILD)

## open-axiom 1.4.1+svn~2626

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,24 @@
 Source: open-axiom
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Igor Pashev <pashev.igor@gmail.com>
+Maintainer: Igor Pashev <pashev.igor@gmail.com>
 Build-Depends:
  debhelper ( >= 8 ),
- sbcl ( >= 1.0.30 ),
+ sbcl ( >= 1:1.0.30 ) [ i386  amd64  kfreebsd-amd64],
+ gcl ( >= 2.6.7 )     [!i386 !amd64 !kfreebsd-amd64],
+ libreadline-dev      [!i386 !amd64 !kfreebsd-amd64],
+ libncurses5-dev      [!i386 !amd64 !kfreebsd-amd64],
+ libgmp-dev           [!i386 !amd64 !kfreebsd-amd64],
  libxpm-dev,
  libxt-dev,
  help2man,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
+Vcs-Git: http://git.debian.org/git/pkg-open-axiom/pkg-open-axiom.git
+Vcs-Browser: http://git.debian.org/?p=pkg-open-axiom/pkg-open-axiom.git
+Homepage: http://www.open-axiom.org/
 
 Package: open-axiom
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  open-axiom-databases (= ${source:Version}),
 Recommends: open-axiom-source, open-axiom-graphics, open-axiom-hypertex
@@ -95,7 +101,7 @@
  obtained with OpenAxiom.
 
 Package: open-axiom-graphics
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  open-axiom (= ${binary:Version}),
  open-axiom-graphics-data (= ${source:Version}),
@@ -116,7 +122,7 @@
 Package: open-axiom-graphics-data
 Architecture: all
 Depends: ${misc:Depends}
-Description: open scientific computation platform: graphics subsystem
+Description: open scientific computation platform: graphics subsystem data
  OpenAxiom is an open source platform for symbolic, algebraic, and numerical
  computations. It offers an interactive environment, an expressive programming
  language, a compiler, a large set of mathematical libraries of interest to
@@ -130,7 +136,7 @@
  subsystem.
 
 Package: open-axiom-hypertex
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  open-axiom (= ${binary:Version}),
  open-axiom-hypertex-data (= ${source:Version}),
@@ -151,7 +157,7 @@
 Package: open-axiom-hypertex-data
 Architecture: all
 Depends: ${misc:Depends}
-Description: open scientific computation platform: hypertex subsystem
+Description: open scientific computation platform: hypertex subsystem data
  OpenAxiom is an open source platform for symbolic, algebraic, and numerical
  computations. It offers an interactive environment, an expressive programming
  language, a compiler, a large set of mathematical libraries of interest to

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
http://sf.net/open-axiom/open-axiom-(.+).tar.bz2

## open-axiom 1.5.0~svn3056+ds

=== debian/changelog ===
open-axiom (1.5.0~svn3056+ds-1) unstable; urgency=low

  * New upstream version.
  * Use xz compression for both source tarball and packages
  * Require g++ >= 4.7 for C++11
  * Refreshed patches
  * touch aclocal.m4 -r configure.ac to avoid rebuilding aclocal.m4 which
    requires aclocal 1.13
  * Do not patch configure.ac, but override variables in Makefiles (due to
    automake 1.13 too)
  * Require SBCL
  * Enable hardening (include /usr/share/dpkg/buildflags.mk for build flags)
  * Use dh-buildinfo
  * Override hardening-no-relro on usr/lib/open-axiom/bin/AXIOMsys
  * Build depends on autotools-dev to update config.*
  * Fixed get-orig-source target to work out of source tree
  * Use canonical VCS fields
  * Added keywords to d/open-axiom.desktop
  * Added description to non-static-open-axiom-binary.patch and
    no-missing-messages.patch
  * Updated d/copyright (thanks to Boris Pek)
  * Updated d/watch to use SourceForge SVN repository
  * Omit contrib directory (that's why +ds):
    - Unclear licenses (GPL, but which one?)
    - It is for Windows
  * Bump standards version 3.9.3 → 3.9.4, no changes

 -- Igor Pashev <pashev.igor@gmail.com>  Sun, 15 Dec 2013 12:11:38 +0400

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Igor Pashev <pashev.igor@gmail.com>
 Build-Depends:
  debhelper ( >= 8 ),
- sbcl ( >= 1:1.0.30 ) [ i386  amd64  kfreebsd-amd64],
- gcl ( >= 2.6.7 )     [!i386 !amd64 !kfreebsd-amd64],
- libreadline-dev      [!i386 !amd64 !kfreebsd-amd64],
- libncurses5-dev      [!i386 !amd64 !kfreebsd-amd64],
- libgmp-dev           [!i386 !amd64 !kfreebsd-amd64],
+ sbcl ( >= 1:1.0.30 ),
  libxpm-dev,
  libxt-dev,
+ g++ (>= 4.7),
  help2man,
-Standards-Version: 3.9.3
-Vcs-Git: http://git.debian.org/git/pkg-open-axiom/pkg-open-axiom.git
-Vcs-Browser: http://git.debian.org/?p=pkg-open-axiom/pkg-open-axiom.git
+ dh-buildinfo,
+ autotools-dev,
+Standards-Version: 3.9.4
+Vcs-Git: http://anonscm.debian.org/git/pkg-open-axiom/pkg-open-axiom.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-open-axiom/pkg-open-axiom.git
 Homepage: http://www.open-axiom.org/
 
 Package: open-axiom

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

export DH_VERBOSE = 1

# make clean does not clean properly, so building out of source
BUILD = $(CURDIR)/build-tree

LDFLAGS += -Wl,--as-needed
LISP := sbcl

oa_libdir := /usr/lib/open-axiom

PACKAGE      := open-axiom
SVN_REPO     := svn://svn.code.sf.net/p/open-axiom/code/trunk
DEBIAN_PATH  := $(abspath $(dir $(firstword $(MAKEFILE_LIST))))
SRC_VERSION  := $(shell dpkg-parsechangelog -l$(DEBIAN_PATH)/changelog | awk '/^Version:/ {sub(/-[^-]*/, "", $$2); print $$2}')
SVN_REVISION := $(shell echo $(SRC_VERSION) | sed -r 's,.+svn([0-9]+).*,\1,')
TARBALL      := $(PACKAGE)_$(SRC_VERSION).orig.tar.xz
.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) $(SVN_REPO) \
	get-orig-source/$(PACKAGE)-$(SRC_VERSION)
	 tar cJf $(TARBALL) -C get-orig-source \
		 --exclude=contrib \
		 $(PACKAGE)-$(SRC_VERSION)
	@rm -rf get-orig-source
	@echo "  "$(TARBALL)" created; move it to the right destination to build the package"

debian/open-axiom.1: build-stamp
	help2man --no-info \
		--version-string='$(SRC_VERSION)' \
		-m 'The open scientific computation platform' \
		-n 'open source platform for symbolic, algebraic, and numerical computations' \
		$(BUILD)/src/driver/open-axiom > $@

# --disable-gcl is for included GCL:
configure-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig
	# aclocal.m4 is older than configure; rebuilding aclocal.m4 requires aclocal-1.13
	touch aclocal.m4 config/*.m4 -r configure.ac
	$(LISP) --version </dev/null || true
	dh_auto_configure -B $(BUILD) -- \
		--with-lisp=$(LISP) \
		--with-x \
		--disable-gcl
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	cd $(BUILD) && $(MAKE) \
		open_axiom_installdir=$(oa_libdir)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd $(BUILD) && $(MAKE) check
endif
	touch $@

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_auto_install -B $(BUILD) -- \
		oa_installdir=$(oa_libdir)
	touch $@

binary: binary-arch binary-indep
binary-indep: install
binary-arch: install debian/open-axiom.1
ifeq ($(LISP), sbcl)
	dh_install -p open-axiom  usr/lib/open-axiom/lib/libopen-axiom-core.so
	dh_install -p open-axiom  usr/lib/open-axiom/algebra/*.fasl
	dh_install -p open-axiom  usr/lib/open-axiom/interp/*.fasl
	# Remove shebangs and "compiled from ..." lines.
	# This makes lintian happy and prevents disclosure
	# of paths on build machine. E. g.:
	## !$(BUILD)/src/interp/interpsys --script
	## FASL
	#   compiled from "$(BUILD)/src/algebra/IDECOMP.NRLIB/code.lsp"
	#   using SBCL version 1.0.50.0.debian
	find debian/open-axiom -type f -name \*.fasl -exec \
		sed -i '/^#!/ d; /compiled/ d' {} \;
else ifeq ($(LISP), clisp)
	dh_install -p open-axiom  usr/lib/open-axiom/lib/libopen-axiom-core.so
	dh_install -p open-axiom  usr/lib/open-axiom/algebra/*.fas
	dh_install -p open-axiom  usr/lib/open-axiom/interp/*.fas
else ifeq ($(LISP), gcl)
	dh_install -p open-axiom  usr/lib/open-axiom/algebra/*.o
endif
	dh_install
	dh_installman
	dh_installdocs -p open-axiom-graphics --link-doc=open-axiom
	dh_installdocs -p open-axiom-test     --link-doc=open-axiom
	dh_installdocs -p open-axiom-hypertex --link-doc=open-axiom
	dh_installdocs --remaining-packages
	dh_installexamples
	dh_installchangelogs
	dh_installmenu
	dh_link

# AXIOMsys seems already stripped, and dh_strip breaks it:
	dh_strip -X AXIOMsys

	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_buildinfo
	dh_lintian
	dh_md5sums
	dh_builddeb -- -Zxz

clean:
	dh_testdir
	dh_testroot
	rm -rf $(BUILD)
	dh_autotools-dev_restoreconfig
	dh_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/.*svn(\d+)(.ds.*)?/$1/ \
  http://sourceforge.net/p/open-axiom/code/HEAD/tree/trunk/ \
    /p/open-axiom/code/(\d+)/
